import transformation from "transform-coordinates";

export type Coordinates = {
	lat: number;
	lon: number;
};

export type CityCoordinates = {
	x: number;
	y: number;
	z: number;
};

export interface LocationData {
	coordinates: Coordinates;
	address: string;
}

export function toCityCoordinates(coords: Coordinates): CityCoordinates {
	const transform = transformation("EPSG:4326", "EPSG:2177");
	const city_coordinates = transform.forward({
		x: coords.lon,
		y: coords.lat,
	});
	return city_coordinates;
}
